com.digi.xbee.api.connection.serial

## Class SerialPortInfo

- java.lang.Object
- - com.digi.xbee.api.connection.serial.SerialPortInfo

-     public class SerialPortInfo
      extends Object

  Helper class used to store serial port information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerialPortInfo(String portName)` Class constructor.
    `SerialPortInfo(String portName, String portDescription)` Class constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPortDescription()` Returns the serial port description.
    `String` | `getPortName()` Returns the serial port name.
    `void` | `setPortDescription(String portDescription)` Sets the serial port description.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerialPortInfo

          public SerialPortInfo(String portName)

      Class constructor. Instantiates a new `SerialPortInfo` object with the given parameters.
      Parameters:
        `portName` - Name of the port.
      See Also:
        `SerialPortInfo(String, String)`

    - #### SerialPortInfo

          public SerialPortInfo(String portName,
                        String portDescription)

      Class constructor. Instantiates a new `SerialPortInfo` object with the given parameters.
      Parameters:
        `portName` - Name of the port.
        `portDescription` - Description of the port.
      See Also:
        `SerialPortInfo(String)`

  - ### Method Detail

    - #### getPortDescription

          public String getPortDescription()

      Returns the serial port description.
      Returns:
        The serial port description.
      See Also:
        `getPortName()`

    - #### getPortName

          public String getPortName()

      Returns the serial port name.
      Returns:
        The serial port name.
      See Also:
        `getPortDescription()`

    - #### setPortDescription

          public void setPortDescription(String portDescription)

      Sets the serial port description.
      Parameters:
        `portDescription` - The serial port description.
      See Also:
        `getPortDescription()`

© Copyright 2014–2014 Digi International Inc. All rights reserved.